## START: Set by rpmautospec
## (rpmautospec version 0.3.5)

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate io-uring

Name:           rust-io-uring
Version:        0.6.2
Release:        %mkrel 0.2
Summary:        Low-level io_uring userspace interface for Rust

Group:          Development/Rust
BuildArch:      noarch

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/io-uring
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop feature for making syscalls directly (not available on all arches)
# * drop feature for regenerating bindings at build-time;
#   otherwise kernel header changes frequently break builds of this crate
Patch:          io-uring-fix-metadata.diff

BuildRequires:  rust-packaging >= 21
BuildRequires:  rust-bitflags1-devel

%global _description %{expand:
The low-level `io_uring` userspace interface for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+io_safety-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+io_safety-devel %{_description}

This package contains library source intended for building other packages which
use the "io_safety" feature of the "%{crate}" crate.

%files       -n %{name}+io_safety-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifnarch %{ix86}
# * hardcoded struct layout / alignment tests from bindgen are broken on i686
%cargo_test
%endif
%endif



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.6.2-0.2.mga10
+ Revision: 2220677
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Rust

* Mon Dec 11 2023 tv <tv> 0.6.2-0.1.mga10
+ Revision: 2017232
- Explicitely BR rust-bitflags1-devel
- imported package rust-io-uring


* Mon Dec 11 2023 Thierry Vignaud <tv@mageia.org> 0.6.2-1.mga10
- Import from FC

* Mon Sep 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.2-1
- Update to version 0.6.2; Fixes RHBZ#2239292

* Sun Aug 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.1-1
- Update to version 0.6.1; Fixes RHBZ#2231581

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 10 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-1
- Update to version 0.6.0; Fixes RHBZ#2185420

* Mon Feb 20 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.13-1
- Update to version 0.5.13; Fixes RHBZ#2171356

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.12-1
- Update to version 0.5.12; Fixes RHBZ#2156552

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.10-1
- Update to version 0.5.10; Fixes RHBZ#2154497

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.9-1
- Update to version 0.5.9; Fixes RHBZ#2139872

* Fri Oct 28 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.8-1
- Initial import (#2138378)
